summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rw-r--r--media-libs/harfbuzz/harfbuzz-2.6.5.ebuild4
-rw-r--r--media-libs/harfbuzz/harfbuzz-2.6.6.ebuild4
-rw-r--r--media-libs/harfbuzz/harfbuzz-9999.ebuild4
3 files changed, 12 insertions, 0 deletions
diff --git a/media-libs/harfbuzz/harfbuzz-2.6.5.ebuild b/media-libs/harfbuzz/harfbuzz-2.6.5.ebuild
index 44d5656a447..73fd6fa0ccd 100644
--- a/media-libs/harfbuzz/harfbuzz-2.6.5.ebuild
+++ b/media-libs/harfbuzz/harfbuzz-2.6.5.ebuild
@@ -76,6 +76,10 @@ src_prepare() {
test/api/Makefile.in || die
fi
+ sed -i \
+ -e 's:tests/macos.tests::' \
+ test/shaping/data/in-house/Makefile.sources || die # bug 726120
+
[[ ${PV} == 9999 ]] && eautoreconf
elibtoolize # for Solaris
diff --git a/media-libs/harfbuzz/harfbuzz-2.6.6.ebuild b/media-libs/harfbuzz/harfbuzz-2.6.6.ebuild
index 085525d97ee..639eff7a8db 100644
--- a/media-libs/harfbuzz/harfbuzz-2.6.6.ebuild
+++ b/media-libs/harfbuzz/harfbuzz-2.6.6.ebuild
@@ -76,6 +76,10 @@ src_prepare() {
test/api/Makefile.in || die
fi
+ sed -i \
+ -e 's:tests/macos.tests::' \
+ test/shaping/data/in-house/Makefile.sources || die # bug 726120
+
[[ ${PV} == 9999 ]] && eautoreconf
elibtoolize # for Solaris
diff --git a/media-libs/harfbuzz/harfbuzz-9999.ebuild b/media-libs/harfbuzz/harfbuzz-9999.ebuild
index 085525d97ee..639eff7a8db 100644
--- a/media-libs/harfbuzz/harfbuzz-9999.ebuild
+++ b/media-libs/harfbuzz/harfbuzz-9999.ebuild
@@ -76,6 +76,10 @@ src_prepare() {
test/api/Makefile.in || die
fi
+ sed -i \
+ -e 's:tests/macos.tests::' \
+ test/shaping/data/in-house/Makefile.sources || die # bug 726120
+
[[ ${PV} == 9999 ]] && eautoreconf
elibtoolize # for Solaris